function XPCS_LoadAll(varargin)
% XPCS_LoadAll: Loads All of the files in the list for future use
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/11/05

hFigMain = findall(0,'Tag','main_Fig');
info = getappdata(hFigMain, 'Info');

hButtonLoadAll = findall(0,'Tag','movie_buttonLoadAll');
set(hButtonLoadAll, 'Enable', 'off');
if(~info.Main.allFiles)

  theSize = size(info.Main.files,1);
  info.Mask.theData = XPCS_fileReader(info.Main.files(2:theSize,1));
  info.Main.lastFile = info.Main.files{theSize,1};
  info.Main.allFiles = 1;
  setappdata(hFigMain, 'Info', info);
end

%-----
%-EOF-
%-----