function XPCS_ROIexpand(varargin)
% XPCS_ROIexpand: Expands or Contracts the current ROI
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/08/27

hFigMain = findall(0,'Tag','main_Fig');
hButtonAccept = findall(0,'Tag','mask_buttonAccept');
hButtonCancel = findall(0,'Tag','mask_buttonCancel');
hButtonToggle = findall(0,'Tag','mask_buttonToggle');
hTextLimit3 = findall(0,'Tag','mask_textLimit3');
hEditLimit3 = findall(0,'Tag','mask_editLimit3');

info = getappdata(hFigMain, 'Info');

set(hButtonAccept, 'Visible', 'on');
set(hButtonCancel, 'Visible', 'on');
set(hButtonToggle, 'Visible', 'on');
set(hTextLimit3, 'String', 'Pixels:');
set(hTextLimit3, 'Visible', 'on');
set(hEditLimit3, 'Visible', 'on');
set(hEditLimit3, 'Value', 1);
set(hEditLimit3, 'String', 1);

XPCS_limitExpand;

%-----
% EOF
%-----