function XPCS_closeshowfig
% --- 
% --- close previous show result figures 
% ---
% --- by MS 20061207
% ---

% --- Windows from 'showresult.m'
delete(findall(0,'Tag','staticaverages'))                                  ;
delete(findall(0,'Tag','intensityVSq'))                                    ;
delete(findall(0,'Tag','intensityVSphi'))                                  ;
for i = 1 : 10
    figuretag = sprintf('correlationfigure_%02i',i)                        ;
    delete(findall(0,'Tag',figuretag))                                     ;    
end
delete(findall(0,'Tag','fit1results'))                                     ;
delete(findall(0,'Tag','fit2results'))                                     ;
delete(findall(0,'Tag','customfitresults'))                                ;
delete(findall(0,'Tag','waterfall'))                                       ;
for i = 1 : 10
    figuretag = sprintf('intermediatescatteringfigure_%02i',i)             ;
    delete(findall(0,'Tag',figuretag))                                     ;
end
clear i figuretag

% --- Windows from 'showIQPHITresult.m'
delete(findall(0,'Tag','intensityVSqt'))                                   ;
delete(findall(0,'Tag','intensityVSphit'))                                 ;

% --- Windows from 'showaverageresult.m'
delete(findall(0,'Tag','SAR_staticaverages'))                              ;
delete(findall(0,'Tag','SAR_intensityVSq'))                                ;
delete(findall(0,'Tag','SAR_intensityVSphi'))                              ;
for i = 1 : 10
    figuretag = sprintf('SAR_correlationfigure_%02i',i)                    ;
    delete(findall(0,'Tag',figuretag))                                     ;    
end
delete(findall(0,'Tag','SAR_fit1results'))                                 ;
delete(findall(0,'Tag','SAR_fit2results'))                                 ;
delete(findall(0,'Tag','SAR_customfitresults'))                            ;
delete(findall(0,'Tag','SAR_waterfall'))                                   ;
for i = 1 : 10
    figuretag = sprintf('SAR_intermediatescatteringfigure_%02i',i)         ;
    delete(findall(0,'Tag',figuretag))                                     ;
end
clear i figuretag

% --- Windows from 'showmergedg2results.m'
delete(findall(0,'Tag','SMR_staticaverages'))                              ;
delete(findall(0,'Tag','SMR_intensityVSq'))                                ;
delete(findall(0,'Tag','SMR_intensityVSphi'))                              ;
for i = 1 : 10
    figuretag = sprintf('SMR_correlationfigure_%02i',i)                    ;
    delete(findall(0,'Tag',figuretag))                                     ;
end
delete(findall(0,'Tag','SMR_fit1results'))                                 ;
delete(findall(0,'Tag','SMR_fit2results'))                                 ;
delete(findall(0,'Tag','SMR_customfitresults'))                            ;
for i = 1 : 10
    figuretag = sprintf('SMR_intermediatescatteringfigure_%02i',i)         ;
    delete(findall(0,'Tag',figuretag))                                     ;
end
clear i figuretag

% --- Windows from 'show2time.m'
delete(findall(0,'Tag','twotimeresultsA'))                                 ;
delete(findall(0,'Tag','twotimeresultsB'))                                 ;

% --- Windows from 'showstability.m'
delete(findall(0,'Tag','stability results'))                               ;


% ---
% EOF