function XPCS_contrast(varargin)
% XPCS_contrast: updates mask contrast
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/11/04

hFigMain = findall(0,'Tag','main_Fig');
hSliderContrast = findall(0,'Tag','mask_sliderContrast');

info = getappdata(hFigMain, 'Info');
info.Mask.contrast = get(hSliderContrast, 'Value');
setappdata(hFigMain, 'Info', info);

XPCS_mapImg;

%-----
% EOF
%-----