function XPCS_fileDivision(hObject, eventdata, varargin)
% XPCS_fileDivision: Checks to make sure files are divided evenly
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/08/27

hFigMain = findall(0,'Tag','main_Fig');
info = getappdata(hFigMain, 'Info');

switch get(hObject, 'Tag')
    case 'analysis_editSets'
        info.Analysis.sets = str2double(get(hObject, 'String'));
    case 'analysis_editAvg'
        info.Analysis.average = str2double(get(hObject, 'String'));
    case 'analysis_editQRegions'
        info.Analysis.regions = str2double(get(hObject, 'String'));
end

setappdata(hFigMain, 'Info', info);

%-----
%-EOF-
%-----