path = 'D:\My Documents\My Dropbox\Research\Shpyrko Lab\GdFe\Analysis\';
fileName = [path '05001.hdf'];
data1 =hdfread(fileName,'data');
%data=[1,2,4;2,4,8;4,8,13]; %has to be small data set
%fileName = [path '05002.hdf'];
[xsize1 ysize1] = size(data1);

data2 =data1(1290:1310,1290:1310);
[xsize2 ysize2] = size(data2);

[X Y]=meshgrid(1:1:xsize2,1:1:ysize2);
figure(1); imagesc(X(1,:), Y(:,1), data2); colorbar(); theAxis = caxis(); axis([1 xsize2 1 ysize2]);

%cutoff = 5;
%[xCenter1 yCenter1] = XPCS_CenterMass(data1(1+cutoff:xsize-cutoff,1+cutoff:ysize-cutoff));
%[xCenter2 yCenter2] = XPCS_CenterMass(data2(1+cutoff:xsize-cutoff,1+cutoff:ysize-cutoff));



%XI = X + xCenter1 - xCenter2;
%YI = Y + yCenter1 - yCenter2;
interp = 13;
[XI YI]=meshgrid(1:1/(interp+1):xsize2,1:1/(interp+1):ysize2);
data3 = interp2(X,Y,double(data2),XI,YI,'spline');
%[xCenter3 yCenter3] = XPCS_CenterMass(data3(1+cutoff:xsize-cutoff,1+cutoff:ysize-cutoff));

figure(4); imagesc(XI(1,:), YI(:,1), data3); colorbar(); caxis(theAxis); axis([1 xsize2 1 ysize2]);