function XPCS_ROIdisplay(hObject, eventdata, handleROI, varargin)
% XPCS_ROIrect: displays the new mask based on the previously built ROI
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/08/27



if(info.Mask.update == 0)
  info.Mask.tmpMask = createMask(handleROI);
  if(get(hButtonToggle, 'Value') == 1)
    %add to previous mask
    tmp = info.Mask.theMask + info.Mask.tmpMask;
    tmp(tmp > 1) = 1;
  else
    %remove from previous mask
    tmp = info.Mask.theMask - info.Mask.tmpMask;
    tmp(tmp < 0) = 0;
  end
  XPCS_Redisplay(tmp)
end

%-----
%-EOF-
%-----