function XPCS_ROIentire(hObject,eventdata, varargin)
% XPCS_ROIentire: selects all or none as the current mask
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.0  Date: 2010/08/27

hFigMain = findall(0,'Tag','main_Fig');
hButtonToggle = findall(0,'Tag','mask_buttonToggle');

info = getappdata(hFigMain, 'Info');
info.Mask.update = 1;
info.Mask.tmpMask = ones(size(info.Mask.theData));
setappdata(hFigMain, 'Info', info);

switch get(hObject, 'Tag')
	case 'mask_MenuAll'
        set(hButtonToggle, 'Value', 1);
    case 'mask_MenuNone'
        set(hButtonToggle, 'Value', 0);
end

XPCS_ROIaccept(hObject, eventdata)


%-----
%-EOF-
%-----