function XPCS_hideMask(varargin)
% XPCS_hideMask: Hides/Displays the current mask
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/11/04

hFigMain = findall(0,'Tag','main_Fig');
hHide = findall(0,'Tag', 'mask_MenuHide');

info = getappdata(hFigMain, 'Info');

if(strcmp(get(hHide, 'Checked'), 'off'))
    set(hHide, 'Checked', 'on');
else
    set(hHide, 'Checked', 'off');
end
XPCS_Redisplay(info.Mask.theImg, info.Mask.theMask);


%-----
%-EOF-
%-----