function XPCS_maskRemoveFile(varargin)
% XPCS_maskRemoveFile: Clears the data (makes an image of ones, the same
% size as the previous one to easily see the mask)
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/11/05

hFigMain = findall(0,'Tag','main_Fig');
info = getappdata(hFigMain,'Info');

sizeImg = size(info.Mask.theData);
info.Mask.theImg = ones(sizeImg);
setappdata(hFigMain, 'Info', info);
XPCS_mapImg

%----
% EOF
%----