function XPCS_moveup(varargin)
% XPCS_movedn: Moves the selected files up in the file list
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/10/28

hFigMain = findall(0,'Tag','main_Fig');
hFileList = findall(0,'Tag','main_fileList');
info = getappdata(hFigMain, 'Info');

if(isempty(get(hFileList, 'String')) == 0)
index = get(hFileList, 'Value');

if(index(1) > 1)
  selected = size(index,2);

  theString = get(hFileList, 'String');
  for j = 1:1:selected
    temp = theString(index(j));
	theString(index(j)) = theString(index(j)-1);
    theString(index(j)-1) = temp;
    set(hFileList, 'String', theString);
    set(hFileList, 'Value', index-1); 
    temp = info.Main.files(index(j)+1,:);
	info.Main.files(index(j)+1,:) = info.Main.files(index(j),:);
    info.Main.files(index(j),:) = temp;
  end
  setappdata(hFigMain, 'Info', info);
end
end