function XPCS_reset(varargin)
% XPCS_reset: Reset the file list order to alphabetic
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/10/28

hFigMain = findall(0,'Tag','main_Fig');
hFileList = findall(0,'Tag','main_fileList');
info = getappdata(hFigMain, 'Info');

[xsize ysize] = size(info.Main.files);
if(xsize > 2)
  theString = get(hFileList, 'String');
  [sortedString, order] = sort(theString);
  set(hFileList, 'String', sortedString);
  set(hFileList, 'Value', 1);
  
  info.Main.files(2:xsize, 1:ysize) = ...
      info.Main.files(order+1, 1:ysize);
  setappdata(hFigMain, 'Info', info);
end

