function XPCS_undoMask(varargin)
% XPCS_undoMask: goes back to the last available mask
%
% Copyright 2010
% Sebastian Dietze
% University of California, San Diego

% Revision: 1.1  Date: 2010/11/04

hFigMain = findall(0,'Tag','main_Fig');

info = getappdata(hFigMain, 'Info');

info.Mask.theMask = info.Mask.lastMask;
setappdata(hFigMain, 'Info', info);

XPCS_Redisplay(info.Mask.theImg, info.Mask.theMask);

%-----
%-EOF-
%-----